Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://fedilab.app
SourceCode: https://framagit.org/tom79/fedilab
IssueTracker: https://framagit.org/tom79/fedilab/issues
Translation: https://crowdin.com/project/mastalab
Changelog: https://framagit.org/tom79/fedilab/-/tags
Liberapay: tom79

AutoName: Fedilab Lite

RepoType: git
Repo: https://framagit.org/tom79/fedilab.git

Builds:
  - versionName: 2.20.0
    versionCode: 317
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: 2.20.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.23.0
    versionCode: 318
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: 2.23.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.23.1
    versionCode: 319
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: 2.23.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.37.0
    versionCode: 379
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: 2.37.0
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 2.37.1
    versionCode: 380
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: 2.37.1
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

  - versionName: 2.39.0
    versionCode: 383
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1023595443
    commit: de3a7355ecfc87b2e7362d78219434c05ee882ad
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i -e '/jcenter()/a\        google()' ../build.gradle
      - sed -i -e '/playstoreImplementation/d' -e '/dl.bintray.com/d' -e 's/com.github.pengfeizhou.android.animation:glide-plugin:0.2.16/com.github.penfeizhou.APNG4Android:glide-plugin:0.2.8/'
        build.gradle

AutoUpdateMode: None
UpdateCheckMode: Tags ^[0-9.]+$
CurrentVersion: 2.39.0
CurrentVersionCode: 383
